Resent-Date: Fri, 22 Jan 1999 10:32:39 +0100 (MET)
To: Frank Petzold <petzold@hepe.com>
Cc: linux-apus@sunsite.auc.dk, linux-m68k@lists.linux-m68k.org
Subject: Re: Modules with CONFIG_MODVERSIONS
References: <19990120131943.A320@samson.lake.de>
X-Yow: TAILFINS!!  ...click...
From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Date: 22 Jan 1999 10:32:29 +0100
In-Reply-To: Frank Petzold's message of "Wed, 20 Jan 1999 13:19:43 +0000"
Resent-From: linux-m68k@phil.uni-sb.de

Frank Petzold <petzold@hepe.com> writes:

|> I still have problems with the modules on APUS 2.2.0pre7. I get unresolved
|> Symbols:
|> 
|> /lib/modules/2.2.0-pre7/fs/umsdos.o: unresolved symbol(s)
|>         memcpy

arch/ppc/kernel/ppc_ksyms.c should export memcpy unversioned, because the
compiler is generating calls by itself (and doesn't know about
modversions).

Andreas.

--- linux/arch/ppc/kernel/ppc_ksyms.c.~1~	Fri Jan 22 10:30:34 1999
+++ linux/arch/ppc/kernel/ppc_ksyms.c	Fri Jan 22 10:32:51 1999
@@ -103,7 +103,6 @@
 EXPORT_SYMBOL(strcmp);
 EXPORT_SYMBOL(strncmp);
 EXPORT_SYMBOL(memset);
-EXPORT_SYMBOL(memcpy);
 EXPORT_SYMBOL(memmove);
 EXPORT_SYMBOL(memscan);
 EXPORT_SYMBOL(memcmp);
@@ -218,3 +217,4 @@
    their interface isn't gonna change any time soon now, so
    it's OK to leave it out of version control.  */
 EXPORT_SYMBOL_NOVERS(__ashrdi3);
+EXPORT_SYMBOL_NOVERS(memcpy);

